/* ========== PLANNING ========== */

/* Coloration jour */

.aujourdhui {
	background: #FFE89E;
}

.ferie {
	background: #ffcea6;
}

.week_end {
	background: #e4daff;
}

.semaine_courante, .jour_courant {
	background: #c0efc6;
}

div.planning p.sous_titre {
	margin-bottom: 10px;
}

div.planning span.no_result {
	font-style: italic;
}

div.planning table tr th {
	text-align: center;
}


/* Planning historique */

#planning_historique_modification p.sous_titre {
	margin: 8px 0 2px 0;
	border-color: #ddd;
	text-align: center;
}

#planning_historique_modification p.author {
	margin: 5px 0 0 0;
	float: left;
}

#planning_historique_modification p.lien_retablir {
	margin: 5px 0 0 0;
	float: right;
}

/* Planning copie */

.planning_modif form table tr td.label_param {
	width: 40%;
}

.planning_modif p.sep_entre_2_form {
	text-align: center;
	font-weight: bold;
}

#planning_copie_jour {
	
}

#planning_copie_semaine {
	
}


#planning_supp_jour form table tr td.label_param {
	width: 50%;
}

#planning_supp_semaine form table tr td.label_param {
	width: 50%;
}




/* Planning modif */

.planning_modif div.jour_et_liens_planning {
	border-bottom: 1px solid #aaaaaa;
	margin: 10px 10px 0 10px;
	padding: 0 0;
}

.planning_modif div.jour_et_liens_planning a {
	float: left;
	width: 30%;
}

.planning_modif div.jour_et_liens_planning a.lien_jour_precedent {
	text-align: left;
}

.planning_modif div.jour_et_liens_planning a.lien_jour_suivant {
	text-align: right;
}

.planning_modif div.jour_et_liens_planning span.sous_titre {
	font-weight: bold;
	float: left;
	width: 40%;
	text-align: center;
}


#planning_modif {
	
}

#planning_modif form {
	text-align: left;
}

#planning_modif form table {
	
}

#planning_modif form table tr td {
	/*padding: 0;*/
}

#planning_modif form table tr .plage {
	text-align: right;
	width: 50%;
}

#planning_modif form table tr .statut {
	text-align: left;
	padding-left: 20px;
}

#planning_modif form table tr .statut select option.present {
	color: #4cae4c;
}

#planning_modif form table tr .statut select option.absent {
	color: #d43f3a;
}

#planning_modif form table tr.liste_touche td {
	text-align: center;
	padding-bottom: 5px;
}

#planning_modif form table tr td.plage {
	font-weight: bold;
}

#planning_modif form select.select_tres_petit {
	 width: 70px;
}

/*
#planning_modif form label.label_plage_debut {
	margin-right: 5px;
}

#planning_modif form label.label_plage_fin {
	margin-left: 5px;
	margin-right: 5px;
}

#planning_modif form label.label_consultant {
	margin-left: 20px;
}

#planning_modif form label.label_ordre {
	margin-left: 20px;
}
*/




div.sous_titre_planning {
	background-color: #f5f5f5;
	border-top: 1px solid #ddd;
	border-bottom: 1px solid #ddd;
	padding: 4px 6px;
	margin-bottom: 15px;
}

#global div.sous_titre_planning h3 {
	margin: 0;
	padding: 3px 0 0 0;
}

/* Planning par jour */

div.planning table.table_planning_day.planning_un_cons {
	width: 60%;
	margin: 0 auto;
}

div.planning table.table_planning_day.planning_un_cons tr td.case_heure {
	width: 25%;
}

div.planning table.table_planning_day.planning_un_cons tr td.case_consultant {
	width: auto;
}

div.planning table.table_planning_day thead tr th {
	border: none;
}

div.planning table.table_planning_day.planning_un_cons tbody tr:first-child td {
	border-top: 1px solid #ddd;
}

div.planning table.table_planning_day.planning_un_cons tbody tr td:first-child {
	border-left: 1px solid #ddd;
}

div.planning table.table_planning_day.planning_un_cons tbody tr:last-child td {
	border-bottom: 1px solid #ddd;
}

div.planning table.table_planning_day.planning_un_cons tbody tr td {
	border: none;
	border-right: 1px solid #ddd;
	border-bottom: 1px dashed #ddd;
	padding: 2px;
}

div.planning table.table_planning_day.planning_all_cons tbody tr td {
	border: 1px solid #aaa;
	border-right: 1px dashed #aaa;
	border-left: 1px dashed #aaa;
	padding: 3px 4px;
	vertical-align: middle;
}

div.planning table.table_planning_day.planning_all_cons tbody tr td:first-child {
	border-left: 1px solid #aaa;
}
div.planning table.table_planning_day.planning_all_cons tbody tr td:last-child {
	border-right: 1px solid #aaa;
}

div.planning table.table_planning_day tbody tr td.case_heure {
	text-align: center;
}

div.planning table.table_planning_day tbody tr td.case_consultant {
	font-size: 10px;
}



/* Planning par semaine */

div.planning table.table_planning_week {
	text-align: center;
	border-top: none;
	border-bottom: none;
}

div.planning table.table_planning_week thead tr th {
	border: none;
}

div.planning table.table_planning_week tr th {
	width: 12%;
	padding: 2px 0 2px 0;
}

div.planning table.table_planning_week tbody tr td div.div_plage {
	margin-bottom: 2px;
}

div.planning table.table_planning_week tbody tr:first-child td {
	border-top: 1px solid #ddd;
}

div.planning table.table_planning_week tbody tr td:first-child {
	border-left: 1px solid #ddd;
}

div.planning table.table_planning_week tbody tr td {
	border: none;
	border-right: 1px solid #ddd;
	border-bottom: 1px dashed #ddd;
	padding: 2px;
}

div.planning table.table_planning_week tbody tr:last-child td {
	border-bottom: 1px solid #ddd;
}

div.planning table.table_planning_week tfoot tr th {
	border: none;
}


div.planning table.table_planning_week.planning_all_cons tbody tr td {
	border: 1px solid #888888;
	padding: 5px 4px;
	min-height: 96px;
}

/*
div.planning table.table_planning_week tr td.first_colonne {
	border-left: 1px solid #888888;
}

div.planning table.table_planning_week tr td div.div_plage {
	margin-bottom: 2px;
}

div.planning table.table_planning_week tr td .lien_edit_jour_semaine {
	border-bottom: none;
	border-right: none;
}
*/












/*
======================================================================
OLD
======================================================================
*/



/* Planning par jour */

div.planning table.tab_plan_jour.tab_plan_jour_unique {
	width: 60%;
	margin: 0 auto;
}

div.planning table.tab_plan_jour.tab_plan_jour_unique tr td.num_jour {
	width: 25%;
}

div.planning table.tab_plan_jour.tab_plan_jour_unique tr td.case_heure {
	width: auto;
}


div.planning table.tab_plan_jour {
	text-align: center;
	width: 100%;
}

div.planning table.tab_plan_jour tr th {
	padding: 4px 0;
	height: auto;
	border-bottom: 1px solid #888888;
	text-align: center;
}

div.planning table.tab_plan_jour tr td {
	border-right: 1px solid #888888;
	border-bottom: 1px solid #888888;
}

div.planning table.tab_plan_jour tr td.num_touche {
	width: 4%;
	border-left: 1px solid #888888;
	border-right: none;
}

div.planning table.tab_plan_jour tr td.num_jour {
	width: 4%;
	border-left: 1px solid #888888;
	border-right: none;
	text-align: right;
}

div.planning table.tab_plan_jour tr td.case_heure {
	width: 3%;
	padding-left: 1px;
	padding-right: 1px;
	font-size: 10px;
	border-right: 1px dashed #888888;
}

div.planning table.tab_plan_jour tr td.first_plage {
	border-left: 1px solid #888888;
}

div.planning table.tab_plan_jour tr td.last_plage {
	border-right: 1px solid #888888;
}

div.planning table.tab_plan_jour tr td.case_remplie {
	background: #9dbbff;
}

div.planning table.tab_plan_jour tr td.modif_checkbox {
	border-right: none;
	border-bottom: none;
}

div.planning table.tab_plan_jour tr td.case_heure.present, div.planning table.tab_plan_jour tr td.case_heure.absent {
	text-align: center;
	font-size: 12px;
}

div.planning table.tab_plan_jour tr td.present {
	/*color: #4cae4c;*/
	color: #fff;
}

div.planning table.tab_plan_jour tr td.absent {
	color: #d43f3a;
}



/* Planning par semaine */

div.planning table.tab_plan_semaine {
	text-align: center;
	width: 100%;
}

div.planning table.tab_plan_semaine tr th {
	width: 12%;
	padding: 2px 0 2px 0;
	border-bottom: 1px solid #888888;
}

div.planning table.tab_plan_semaine tr td {
	border-right: 1px solid #888888;
	border-bottom: 1px solid #888888;
	min-height: 96px;
}

div.planning table.tab_plan_semaine tr td.first_colonne {
	border-left: 1px solid #888888;
}

div.planning table.tab_plan_semaine tr td div.div_plage {
	margin-bottom: 2px;
}

div.planning table.tab_plan_semaine tr td .lien_edit_jour_semaine {
	border-bottom: none;
	border-right: none;
}



/* Planning par mois */

div.planning div.tab_plan_mois {
	
}

div.planning div.tab_plan_mois div.libelle_jour div.titre_jour {
	width: 13%;
	font-size: 13px;
	font-weight: bold;
	padding: 2px 2px;
	text-align: center;
	float: left;
	margin-right: 2px;
	border: 1px solid transparent;
}

div.planning div.tab_plan_mois div.case_semaine div.case_jour {
	width: 13%;
	min-height: 96px;
	border: 1px solid #888888;
	margin-right: 2px;
	margin-bottom: 2px;
	padding: 2px 2px;
	float: left;
	text-align: center;
}

div.planning div.tab_plan_mois div.case_semaine div.case_jour div.num_jour {
	font-weight: bold;
	text-align: center;
	margin-bottom: 5px;
}

div.planning div.tab_plan_mois div.case_semaine div.case_jour.noDisp {
	border-color: transparent;
}

div.planning div.tab_plan_mois div.case_semaine div.case_jour div.div_plage_petite {
	margin: 0 1px 1px 0;
	float: left;
	width: 31px;
	font-size: 12px;
}

/* Calendrier miniature en en-tête des planning */

/*
div#calendrier_entete div#calendrier_legende {
	float: left;
	margin: 10px 0 0 40px;
}

div#calendrier_entete div#calendrier_legende div.legende {
	margin: 10px 0 0 0;
	width: 150px;
}

div#calendrier_entete div#calendrier_legende div.legende div {
	margin: 4px 0 0 0;
	padding: 1px 5px;
	font-size: 13px;
}
*/

div#calendrier_entete div.recap_planning p.sous_titre_recap {
	color: #00B43C;
	text-align: center;
	font-weight: bold;
}

div#calendrier_entete div#calendrier_min {
	/*border: 1px solid;*/
	/*width: 310px;*/
	margin: 0 0 0 30px;
	float: left;
}

div#calendrier_entete div#calendrier_min fieldset {
	padding: 8px 10px 10px 10px;
}

div#calendrier_entete div#calendrier_min p.libelle_mois {
	text-align: center;
	font-size: 13px;
	font-weight: bold;
	margin: 0 0 6px 0;
}

div#calendrier_entete div#calendrier_min p.libelle_semaine {
	text-align: center;
	font-weight: bold;
	margin: 6px 0 0 0;
}

div#calendrier_entete div#calendrier_min p.libelle_semaine a.lien_ajourdhui {
	float: right;
}



div#calendrier_entete div#calendrier_min div.libelle_jour {
	
}

div#calendrier_entete div#calendrier_min div.libelle_jour div.titre_jour {
	width: 40px;
	font-size: 13px;
	font-weight: bold;
	padding: 2px 0 2px 0;
	text-align: center;
	float: left;
	margin-right: 1px;
	margin-bottom: 1px;
	border: 1px solid transparent;
}

div#calendrier_entete div#calendrier_min div.case_semaine {
	margin: 0;
	padding: 0;
}

div#calendrier_entete div#calendrier_min div.case_semaine.semaine_courante {
	background: #c0efc6 !important;
}

div#calendrier_entete div#calendrier_min div.case_semaine_aff_semaine:hover div.case_jour, div#calendrier_entete div#calendrier_min div.case_jour_aff_jour:hover {
	background: #A5E3F7;
}

div#calendrier_entete div#calendrier_min div.liste_jour:hover .case_semaine_aff_mois div.case_jour_aff_mois {
	background: url(../images/planning_jour_courant_hover_bg.png) repeat;
}

div#calendrier_entete div#calendrier_min .case_semaine_aff_semaine.semaine_courante:hover div.case_jour, div#calendrier_entete div#calendrier_min .case_jour_aff_jour.jour_courant:hover  {
	background: url(../images/planning_jour_courant_hover_bg.png) repeat;
}

div#calendrier_entete div#calendrier_min .jour_courant_aujourdhui {
	background: url(../images/planning_jour_courant_aujourdhui_bg.png) repeat;
}

div#calendrier_entete div#calendrier_min div.case_semaine div.case_jour {
	float: left;
	width: 40px;
	text-align: center;
	border: 1px solid #cccccc;
	margin-right: 1px;
	margin-bottom: 1px;
}

div#calendrier_entete div#calendrier_min div.case_semaine div.case_jour a {
	display: block;
	padding: 2px 0 2px 0;
}

div#calendrier_entete div#calendrier_min div.case_semaine div.noDisp {
	
}

div#calendrier_entete div#calendrier_min div.case_semaine div.noDisp a {
	color: #bbbbbb;
	font-weight: normal;
}
